// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: common.proto

package freeje_api

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type PhoneType int32

const (
	PhoneType_FIXED_LINE PhoneType = 0
	PhoneType_MOBILE     PhoneType = 1
	PhoneType_TOLL_FREE  PhoneType = 2
	PhoneType_OTS        PhoneType = 3
)

// Enum value maps for PhoneType.
var (
	PhoneType_name = map[int32]string{
		0: "FIXED_LINE",
		1: "MOBILE",
		2: "TOLL_FREE",
		3: "OTS",
	}
	PhoneType_value = map[string]int32{
		"FIXED_LINE": 0,
		"MOBILE":     1,
		"TOLL_FREE":  2,
		"OTS":        3,
	}
)

func (x PhoneType) Enum() *PhoneType {
	p := new(PhoneType)
	*p = x
	return p
}

func (x PhoneType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (PhoneType) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[0].Descriptor()
}

func (PhoneType) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[0]
}

func (x PhoneType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use PhoneType.Descriptor instead.
func (PhoneType) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{0}
}

type CallDirection int32

const (
	CallDirection_OUTGOING CallDirection = 0
	CallDirection_INCOMING CallDirection = 1
)

// Enum value maps for CallDirection.
var (
	CallDirection_name = map[int32]string{
		0: "OUTGOING",
		1: "INCOMING",
	}
	CallDirection_value = map[string]int32{
		"OUTGOING": 0,
		"INCOMING": 1,
	}
)

func (x CallDirection) Enum() *CallDirection {
	p := new(CallDirection)
	*p = x
	return p
}

func (x CallDirection) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CallDirection) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[1].Descriptor()
}

func (CallDirection) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[1]
}

func (x CallDirection) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use CallDirection.Descriptor instead.
func (CallDirection) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{1}
}

type CallMedia int32

const (
	CallMedia_SIP      CallMedia = 0 // звонки по SIP
	CallMedia_FREEJE   CallMedia = 1 // нативные звонки с PUSH сигнализацией
	CallMedia_EXTERNAL CallMedia = 2 // внешние звонки (как входящие так и исходящие)
	CallMedia_INTERNAL CallMedia = 3 // внутренние сервисные звонки
)

// Enum value maps for CallMedia.
var (
	CallMedia_name = map[int32]string{
		0: "SIP",
		1: "FREEJE",
		2: "EXTERNAL",
		3: "INTERNAL",
	}
	CallMedia_value = map[string]int32{
		"SIP":      0,
		"FREEJE":   1,
		"EXTERNAL": 2,
		"INTERNAL": 3,
	}
)

func (x CallMedia) Enum() *CallMedia {
	p := new(CallMedia)
	*p = x
	return p
}

func (x CallMedia) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CallMedia) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[2].Descriptor()
}

func (CallMedia) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[2]
}

func (x CallMedia) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use CallMedia.Descriptor instead.
func (CallMedia) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{2}
}

// Значение типа документа в младших трех битах содержит формат хранимого документа
//000 JPEG
//001 UTF8
//Остальные пока не используются и зарезервированы
type DocumentType int32

const (
	DocumentType_ID_SCAN      DocumentType = 0          // скан документа удостоверяющего личность JPEG
	DocumentType_ID           DocumentType = 1          // реквизиты документа удостоверяющего личность UTF8
	DocumentType_PHOTO        DocumentType = 8          // личная фотография JPEG
	DocumentType_NAME         DocumentType = 9          // полное имя UTF8
	DocumentType_ADDRESS_SCAN DocumentType = 16         // Скан документа подтверждающий адрес
	DocumentType_ADDRESS      DocumentType = 17         // адрес UTF8
	DocumentType_DELETED_DOC  DocumentType = 1073741824 // документ удален NONE
)

// Enum value maps for DocumentType.
var (
	DocumentType_name = map[int32]string{
		0:          "ID_SCAN",
		1:          "ID",
		8:          "PHOTO",
		9:          "NAME",
		16:         "ADDRESS_SCAN",
		17:         "ADDRESS",
		1073741824: "DELETED_DOC",
	}
	DocumentType_value = map[string]int32{
		"ID_SCAN":      0,
		"ID":           1,
		"PHOTO":        8,
		"NAME":         9,
		"ADDRESS_SCAN": 16,
		"ADDRESS":      17,
		"DELETED_DOC":  1073741824,
	}
)

func (x DocumentType) Enum() *DocumentType {
	p := new(DocumentType)
	*p = x
	return p
}

func (x DocumentType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DocumentType) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[3].Descriptor()
}

func (DocumentType) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[3]
}

func (x DocumentType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DocumentType.Descriptor instead.
func (DocumentType) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{3}
}

type NumberFeature int32

const (
	NumberFeature_VOICE     NumberFeature = 0 // Номер поддерживает входящие голосовые звонки
	NumberFeature_SMS       NumberFeature = 1 // Номер поддерживает получение SMS
	NumberFeature_SMS_OUT   NumberFeature = 3 // Номер поддерживает отправку SMS
	NumberFeature_FAX       NumberFeature = 4 // Номер поддерживает факсы t38
	NumberFeature_VOICE_OUT NumberFeature = 5 // Номер поддерживает исходящие голосовые вызовы
)

// Enum value maps for NumberFeature.
var (
	NumberFeature_name = map[int32]string{
		0: "VOICE",
		1: "SMS",
		3: "SMS_OUT",
		4: "FAX",
		5: "VOICE_OUT",
	}
	NumberFeature_value = map[string]int32{
		"VOICE":     0,
		"SMS":       1,
		"SMS_OUT":   3,
		"FAX":       4,
		"VOICE_OUT": 5,
	}
)

func (x NumberFeature) Enum() *NumberFeature {
	p := new(NumberFeature)
	*p = x
	return p
}

func (x NumberFeature) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (NumberFeature) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[4].Descriptor()
}

func (NumberFeature) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[4]
}

func (x NumberFeature) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use NumberFeature.Descriptor instead.
func (NumberFeature) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{4}
}

type DidStatus int32

const (
	DidStatus_SETUP       DidStatus = 0          // в процессе подключения
	DidStatus_READY       DidStatus = 1          // успешно подключен
	DidStatus_ERROR       DidStatus = 2          // ошибка
	DidStatus_DELETED_DID DidStatus = 1073741824 // удален
)

// Enum value maps for DidStatus.
var (
	DidStatus_name = map[int32]string{
		0:          "SETUP",
		1:          "READY",
		2:          "ERROR",
		1073741824: "DELETED_DID",
	}
	DidStatus_value = map[string]int32{
		"SETUP":       0,
		"READY":       1,
		"ERROR":       2,
		"DELETED_DID": 1073741824,
	}
)

func (x DidStatus) Enum() *DidStatus {
	p := new(DidStatus)
	*p = x
	return p
}

func (x DidStatus) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DidStatus) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[5].Descriptor()
}

func (DidStatus) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[5]
}

func (x DidStatus) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DidStatus.Descriptor instead.
func (DidStatus) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{5}
}

type ExceptionCode int32

const (
	ExceptionCode_NUMBER_DOES_NOT_EXISTS     ExceptionCode = 0
	ExceptionCode_INVALID_NUMBER             ExceptionCode = 1
	ExceptionCode_AUTH_ERROR                 ExceptionCode = 2
	ExceptionCode_PARAMETERS_ERROR           ExceptionCode = 3
	ExceptionCode_NUMBER_ALREADY_ON_DELETION ExceptionCode = 4
	ExceptionCode_INVALID_NUMBER_ID          ExceptionCode = 5
	ExceptionCode_ACCOUNT_NOT_ACTIVE         ExceptionCode = 6
	ExceptionCode_DOCUMENTS_REQUIRE          ExceptionCode = 7
	ExceptionCode_RELEASE_ERROR              ExceptionCode = 8
	ExceptionCode_NOT_ENOUGH_MONEY           ExceptionCode = 9
	ExceptionCode_BAD_NUMBER                 ExceptionCode = 10
	ExceptionCode_LONG_TEXT_MESSAGE          ExceptionCode = 11
	ExceptionCode_SMS_NOT_SUPPORTED          ExceptionCode = 12
	ExceptionCode_SERVICE_ERROR              ExceptionCode = 13
)

// Enum value maps for ExceptionCode.
var (
	ExceptionCode_name = map[int32]string{
		0:  "NUMBER_DOES_NOT_EXISTS",
		1:  "INVALID_NUMBER",
		2:  "AUTH_ERROR",
		3:  "PARAMETERS_ERROR",
		4:  "NUMBER_ALREADY_ON_DELETION",
		5:  "INVALID_NUMBER_ID",
		6:  "ACCOUNT_NOT_ACTIVE",
		7:  "DOCUMENTS_REQUIRE",
		8:  "RELEASE_ERROR",
		9:  "NOT_ENOUGH_MONEY",
		10: "BAD_NUMBER",
		11: "LONG_TEXT_MESSAGE",
		12: "SMS_NOT_SUPPORTED",
		13: "SERVICE_ERROR",
	}
	ExceptionCode_value = map[string]int32{
		"NUMBER_DOES_NOT_EXISTS":     0,
		"INVALID_NUMBER":             1,
		"AUTH_ERROR":                 2,
		"PARAMETERS_ERROR":           3,
		"NUMBER_ALREADY_ON_DELETION": 4,
		"INVALID_NUMBER_ID":          5,
		"ACCOUNT_NOT_ACTIVE":         6,
		"DOCUMENTS_REQUIRE":          7,
		"RELEASE_ERROR":              8,
		"NOT_ENOUGH_MONEY":           9,
		"BAD_NUMBER":                 10,
		"LONG_TEXT_MESSAGE":          11,
		"SMS_NOT_SUPPORTED":          12,
		"SERVICE_ERROR":              13,
	}
)

func (x ExceptionCode) Enum() *ExceptionCode {
	p := new(ExceptionCode)
	*p = x
	return p
}

func (x ExceptionCode) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ExceptionCode) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[6].Descriptor()
}

func (ExceptionCode) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[6]
}

func (x ExceptionCode) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ExceptionCode.Descriptor instead.
func (ExceptionCode) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{6}
}

type FinanceOperation_Reason int32

const (
	FinanceOperation_CALL       FinanceOperation_Reason = 0 // списание за вызов
	FinanceOperation_PAYMENT    FinanceOperation_Reason = 1 // Пополнение через платежную систему
	FinanceOperation_CORRECTION FinanceOperation_Reason = 2 // Ручная коррекция
	FinanceOperation_NUMBER     FinanceOperation_Reason = 3 // списание за обслуживание номера
	FinanceOperation_PAYCHECK   FinanceOperation_Reason = 4 // Формирование счета
)

// Enum value maps for FinanceOperation_Reason.
var (
	FinanceOperation_Reason_name = map[int32]string{
		0: "CALL",
		1: "PAYMENT",
		2: "CORRECTION",
		3: "NUMBER",
		4: "PAYCHECK",
	}
	FinanceOperation_Reason_value = map[string]int32{
		"CALL":       0,
		"PAYMENT":    1,
		"CORRECTION": 2,
		"NUMBER":     3,
		"PAYCHECK":   4,
	}
)

func (x FinanceOperation_Reason) Enum() *FinanceOperation_Reason {
	p := new(FinanceOperation_Reason)
	*p = x
	return p
}

func (x FinanceOperation_Reason) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (FinanceOperation_Reason) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[7].Descriptor()
}

func (FinanceOperation_Reason) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[7]
}

func (x FinanceOperation_Reason) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use FinanceOperation_Reason.Descriptor instead.
func (FinanceOperation_Reason) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{7, 0}
}

type FinanceOperation_Type int32

const (
	FinanceOperation_REGULAR      FinanceOperation_Type = 0 // обычная операция
	FinanceOperation_LOCK_FUNDS   FinanceOperation_Type = 1 // блокировка средств по предавторизации
	FinanceOperation_UNLOCK_FUNDS FinanceOperation_Type = 2 // разблокировка средств
)

// Enum value maps for FinanceOperation_Type.
var (
	FinanceOperation_Type_name = map[int32]string{
		0: "REGULAR",
		1: "LOCK_FUNDS",
		2: "UNLOCK_FUNDS",
	}
	FinanceOperation_Type_value = map[string]int32{
		"REGULAR":      0,
		"LOCK_FUNDS":   1,
		"UNLOCK_FUNDS": 2,
	}
)

func (x FinanceOperation_Type) Enum() *FinanceOperation_Type {
	p := new(FinanceOperation_Type)
	*p = x
	return p
}

func (x FinanceOperation_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (FinanceOperation_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[8].Descriptor()
}

func (FinanceOperation_Type) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[8]
}

func (x FinanceOperation_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use FinanceOperation_Type.Descriptor instead.
func (FinanceOperation_Type) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{7, 1}
}

type MetricRuleMeta_Type int32

const (
	MetricRuleMeta_REQUEST MetricRuleMeta_Type = 0 // запрос на создание вызова
	MetricRuleMeta_CONNECT MetricRuleMeta_Type = 1 // успешное соединение
	MetricRuleMeta_PRICE   MetricRuleMeta_Type = 2 // стоимость вызова
	MetricRuleMeta_TIME    MetricRuleMeta_Type = 3 //  длительность вызова в секундах
)

// Enum value maps for MetricRuleMeta_Type.
var (
	MetricRuleMeta_Type_name = map[int32]string{
		0: "REQUEST",
		1: "CONNECT",
		2: "PRICE",
		3: "TIME",
	}
	MetricRuleMeta_Type_value = map[string]int32{
		"REQUEST": 0,
		"CONNECT": 1,
		"PRICE":   2,
		"TIME":    3,
	}
)

func (x MetricRuleMeta_Type) Enum() *MetricRuleMeta_Type {
	p := new(MetricRuleMeta_Type)
	*p = x
	return p
}

func (x MetricRuleMeta_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (MetricRuleMeta_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_common_proto_enumTypes[9].Descriptor()
}

func (MetricRuleMeta_Type) Type() protoreflect.EnumType {
	return &file_common_proto_enumTypes[9]
}

func (x MetricRuleMeta_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use MetricRuleMeta_Type.Descriptor instead.
func (MetricRuleMeta_Type) EnumDescriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{13, 0}
}

// Идентификатор PushID
type PushId struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id       string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`             // сам push id
	Provider string `protobuf:"bytes,2,opt,name=provider,proto3" json:"provider,omitempty"` // провайдер (firebase)
}

func (x *PushId) Reset() {
	*x = PushId{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PushId) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PushId) ProtoMessage() {}

func (x *PushId) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PushId.ProtoReflect.Descriptor instead.
func (*PushId) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{0}
}

func (x *PushId) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *PushId) GetProvider() string {
	if x != nil {
		return x.Provider
	}
	return ""
}

// Любой телефонный номер
type PhoneNumber struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Number    string `protobuf:"bytes,1,opt,name=number,proto3" json:"number,omitempty"`
	Label     string `protobuf:"bytes,2,opt,name=label,proto3" json:"label,omitempty"`
	Createdms int64  `protobuf:"varint,3,opt,name=createdms,proto3" json:"createdms,omitempty"` // время создания
}

func (x *PhoneNumber) Reset() {
	*x = PhoneNumber{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PhoneNumber) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PhoneNumber) ProtoMessage() {}

func (x *PhoneNumber) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PhoneNumber.ProtoReflect.Descriptor instead.
func (*PhoneNumber) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{1}
}

func (x *PhoneNumber) GetNumber() string {
	if x != nil {
		return x.Number
	}
	return ""
}

func (x *PhoneNumber) GetLabel() string {
	if x != nil {
		return x.Label
	}
	return ""
}

func (x *PhoneNumber) GetCreatedms() int64 {
	if x != nil {
		return x.Createdms
	}
	return 0
}

// Для методов отвечающих потоками флаг streamed=true
// означает не закрывать поток и продолжать досылать объекты в случае их изменения
// в противном случае будут выданы все известнае на текущий момент бъекты и ответ будет завершен.
// Дополнительно при активации режима потока первым элементом всегда будет выдан пустой объект,
// как сигнал о начале отсчета (полезно в обработке случаев переподключения)
type RequestMode struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Streamed bool   `protobuf:"varint,1,opt,name=streamed,proto3" json:"streamed,omitempty"`
	Id       string `protobuf:"bytes,2,opt,name=id,proto3" json:"id,omitempty"` // специальный хак для сранения в дарте идентификатора запроса для связи с onReady колбэком
}

func (x *RequestMode) Reset() {
	*x = RequestMode{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RequestMode) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RequestMode) ProtoMessage() {}

func (x *RequestMode) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RequestMode.ProtoReflect.Descriptor instead.
func (*RequestMode) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{2}
}

func (x *RequestMode) GetStreamed() bool {
	if x != nil {
		return x.Streamed
	}
	return false
}

func (x *RequestMode) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

//Пустой пакет
type Empty struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Empty) Reset() {
	*x = Empty{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Empty) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Empty) ProtoMessage() {}

func (x *Empty) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Empty.ProtoReflect.Descriptor instead.
func (*Empty) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{3}
}

//Объект состояния вызова
type VoipCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	DialNumber string `protobuf:"bytes,2,opt,name=dialNumber,proto3" json:"dialNumber,omitempty"`
	SipServer  string `protobuf:"bytes,3,opt,name=sipServer,proto3" json:"sipServer,omitempty"`
	WssServer  string `protobuf:"bytes,4,opt,name=wssServer,proto3" json:"wssServer,omitempty"`
}

func (x *VoipCall) Reset() {
	*x = VoipCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VoipCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VoipCall) ProtoMessage() {}

func (x *VoipCall) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VoipCall.ProtoReflect.Descriptor instead.
func (*VoipCall) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{4}
}

func (x *VoipCall) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *VoipCall) GetDialNumber() string {
	if x != nil {
		return x.DialNumber
	}
	return ""
}

func (x *VoipCall) GetSipServer() string {
	if x != nil {
		return x.SipServer
	}
	return ""
}

func (x *VoipCall) GetWssServer() string {
	if x != nil {
		return x.WssServer
	}
	return ""
}

type Document struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id   string       `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"` // иникальный идентификатор
	Type DocumentType `protobuf:"varint,2,opt,name=type,proto3,enum=com.freeje.DocumentType" json:"type,omitempty"`
	Data []byte       `protobuf:"bytes,3,opt,name=data,proto3" json:"data,omitempty"` // содержимое документа (текст или графика в зависимости от типа)
}

func (x *Document) Reset() {
	*x = Document{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Document) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Document) ProtoMessage() {}

func (x *Document) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Document.ProtoReflect.Descriptor instead.
func (*Document) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{5}
}

func (x *Document) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Document) GetType() DocumentType {
	if x != nil {
		return x.Type
	}
	return DocumentType_ID_SCAN
}

func (x *Document) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

//
//Различные параметры для построения отчетов
type ReportRequestOptions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	UserId   string `protobuf:"bytes,1,opt,name=userId,proto3" json:"userId,omitempty"`      // запрашиваемый пользователь
	BaseDate int64  `protobuf:"varint,2,opt,name=baseDate,proto3" json:"baseDate,omitempty"` // стартовая отметка времени с которой строить отчет
	Duration int64  `protobuf:"varint,3,opt,name=duration,proto3" json:"duration,omitempty"` // интервал времени в миллисекундах который должен захватить отчет
}

func (x *ReportRequestOptions) Reset() {
	*x = ReportRequestOptions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReportRequestOptions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReportRequestOptions) ProtoMessage() {}

func (x *ReportRequestOptions) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReportRequestOptions.ProtoReflect.Descriptor instead.
func (*ReportRequestOptions) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{6}
}

func (x *ReportRequestOptions) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *ReportRequestOptions) GetBaseDate() int64 {
	if x != nil {
		return x.BaseDate
	}
	return 0
}

func (x *ReportRequestOptions) GetDuration() int64 {
	if x != nil {
		return x.Duration
	}
	return 0
}

type FinanceOperation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          string                  `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`         // идентификатор операции
	UserId      string                  `protobuf:"bytes,2,opt,name=userId,proto3" json:"userId,omitempty"` // идентификатор пользователя
	Stamp       int64                   `protobuf:"varint,3,opt,name=stamp,proto3" json:"stamp,omitempty"`  // время операции
	Reason      FinanceOperation_Reason `protobuf:"varint,4,opt,name=reason,proto3,enum=com.freeje.FinanceOperation_Reason" json:"reason,omitempty"`
	Type        FinanceOperation_Type   `protobuf:"varint,5,opt,name=type,proto3,enum=com.freeje.FinanceOperation_Type" json:"type,omitempty"`
	Description string                  `protobuf:"bytes,6,opt,name=description,proto3" json:"description,omitempty"`   // текстовое описание операции
	Incomplete  bool                    `protobuf:"varint,7,opt,name=incomplete,proto3" json:"incomplete,omitempty"`    // признак зависшей транзакции
	Balance     float32                 `protobuf:"fixed32,8,opt,name=balance,proto3" json:"balance,omitempty"`         // баланс основного счета на момент начала операции
	LockedFunds float32                 `protobuf:"fixed32,9,opt,name=lockedFunds,proto3" json:"lockedFunds,omitempty"` // размер заблокированных средств на момент начала транзакции
	Amount      float32                 `protobuf:"fixed32,10,opt,name=amount,proto3" json:"amount,omitempty"`          // размер пополнения/списания
	AuthorName  string                  `protobuf:"bytes,11,opt,name=authorName,proto3" json:"authorName,omitempty"`    // имя пользователя внесшего изменения (пусто если система)
}

func (x *FinanceOperation) Reset() {
	*x = FinanceOperation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FinanceOperation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FinanceOperation) ProtoMessage() {}

func (x *FinanceOperation) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FinanceOperation.ProtoReflect.Descriptor instead.
func (*FinanceOperation) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{7}
}

func (x *FinanceOperation) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *FinanceOperation) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *FinanceOperation) GetStamp() int64 {
	if x != nil {
		return x.Stamp
	}
	return 0
}

func (x *FinanceOperation) GetReason() FinanceOperation_Reason {
	if x != nil {
		return x.Reason
	}
	return FinanceOperation_CALL
}

func (x *FinanceOperation) GetType() FinanceOperation_Type {
	if x != nil {
		return x.Type
	}
	return FinanceOperation_REGULAR
}

func (x *FinanceOperation) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *FinanceOperation) GetIncomplete() bool {
	if x != nil {
		return x.Incomplete
	}
	return false
}

func (x *FinanceOperation) GetBalance() float32 {
	if x != nil {
		return x.Balance
	}
	return 0
}

func (x *FinanceOperation) GetLockedFunds() float32 {
	if x != nil {
		return x.LockedFunds
	}
	return 0
}

func (x *FinanceOperation) GetAmount() float32 {
	if x != nil {
		return x.Amount
	}
	return 0
}

func (x *FinanceOperation) GetAuthorName() string {
	if x != nil {
		return x.AuthorName
	}
	return ""
}

type DidPrice struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// стоимость выделения номера
	SetupFee float32 `protobuf:"fixed32,1,opt,name=setup_fee,json=setupFee,proto3" json:"setup_fee,omitempty"`
	// ежемесячное содержание номера
	MonthlyFee float32 `protobuf:"fixed32,2,opt,name=monthly_fee,json=monthlyFee,proto3" json:"monthly_fee,omitempty"`
	// цена входящего единичного интервала начислений
	IncomingRate float32 `protobuf:"fixed32,3,opt,name=incoming_rate,json=incomingRate,proto3" json:"incoming_rate,omitempty"`
	// длительность в секундах единичного входящего интервала начислений
	IncomingInterval int32 `protobuf:"varint,4,opt,name=incoming_interval,json=incomingInterval,proto3" json:"incoming_interval,omitempty"`
	// цена исходящего единичного интевала начислений
	OutgoingRate float32 `protobuf:"fixed32,5,opt,name=outgoing_rate,json=outgoingRate,proto3" json:"outgoing_rate,omitempty"`
	// длительность в секундах единичного исходящего интервала начислений
	OutgoingInterval int32 `protobuf:"varint,6,opt,name=outgoing_interval,json=outgoingInterval,proto3" json:"outgoing_interval,omitempty"`
	// цена исходящего смс
	OutgoingSms float32 `protobuf:"fixed32,7,opt,name=outgoing_sms,json=outgoingSms,proto3" json:"outgoing_sms,omitempty"`
	// цена входящего смс
	IncomingSms float32 `protobuf:"fixed32,8,opt,name=incoming_sms,json=incomingSms,proto3" json:"incoming_sms,omitempty"`
}

func (x *DidPrice) Reset() {
	*x = DidPrice{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DidPrice) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DidPrice) ProtoMessage() {}

func (x *DidPrice) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DidPrice.ProtoReflect.Descriptor instead.
func (*DidPrice) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{8}
}

func (x *DidPrice) GetSetupFee() float32 {
	if x != nil {
		return x.SetupFee
	}
	return 0
}

func (x *DidPrice) GetMonthlyFee() float32 {
	if x != nil {
		return x.MonthlyFee
	}
	return 0
}

func (x *DidPrice) GetIncomingRate() float32 {
	if x != nil {
		return x.IncomingRate
	}
	return 0
}

func (x *DidPrice) GetIncomingInterval() int32 {
	if x != nil {
		return x.IncomingInterval
	}
	return 0
}

func (x *DidPrice) GetOutgoingRate() float32 {
	if x != nil {
		return x.OutgoingRate
	}
	return 0
}

func (x *DidPrice) GetOutgoingInterval() int32 {
	if x != nil {
		return x.OutgoingInterval
	}
	return 0
}

func (x *DidPrice) GetOutgoingSms() float32 {
	if x != nil {
		return x.OutgoingSms
	}
	return 0
}

func (x *DidPrice) GetIncomingSms() float32 {
	if x != nil {
		return x.IncomingSms
	}
	return 0
}

type SearchPeriod struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	From     int64 `protobuf:"varint,1,opt,name=from,proto3" json:"from,omitempty"`
	Duration int64 `protobuf:"varint,2,opt,name=duration,proto3" json:"duration,omitempty"`
}

func (x *SearchPeriod) Reset() {
	*x = SearchPeriod{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchPeriod) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchPeriod) ProtoMessage() {}

func (x *SearchPeriod) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchPeriod.ProtoReflect.Descriptor instead.
func (*SearchPeriod) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{9}
}

func (x *SearchPeriod) GetFrom() int64 {
	if x != nil {
		return x.From
	}
	return 0
}

func (x *SearchPeriod) GetDuration() int64 {
	if x != nil {
		return x.Duration
	}
	return 0
}

type SearchFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to Options:
	//	*SearchFilter_Value
	//	*SearchFilter_Period
	Options  isSearchFilter_Options `protobuf_oneof:"options"`
	Streamed bool                   `protobuf:"varint,3,opt,name=streamed,proto3" json:"streamed,omitempty"` // если true то продолжать выдачу обновлений в запрашиваемом методе
}

func (x *SearchFilter) Reset() {
	*x = SearchFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchFilter) ProtoMessage() {}

func (x *SearchFilter) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchFilter.ProtoReflect.Descriptor instead.
func (*SearchFilter) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{10}
}

func (m *SearchFilter) GetOptions() isSearchFilter_Options {
	if m != nil {
		return m.Options
	}
	return nil
}

func (x *SearchFilter) GetValue() string {
	if x, ok := x.GetOptions().(*SearchFilter_Value); ok {
		return x.Value
	}
	return ""
}

func (x *SearchFilter) GetPeriod() *SearchPeriod {
	if x, ok := x.GetOptions().(*SearchFilter_Period); ok {
		return x.Period
	}
	return nil
}

func (x *SearchFilter) GetStreamed() bool {
	if x != nil {
		return x.Streamed
	}
	return false
}

type isSearchFilter_Options interface {
	isSearchFilter_Options()
}

type SearchFilter_Value struct {
	Value string `protobuf:"bytes,1,opt,name=value,proto3,oneof"` // значение для фильтрации
}

type SearchFilter_Period struct {
	Period *SearchPeriod `protobuf:"bytes,2,opt,name=period,proto3,oneof"`
}

func (*SearchFilter_Value) isSearchFilter_Options() {}

func (*SearchFilter_Period) isSearchFilter_Options() {}

type ExceptionMeta struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Code ExceptionCode `protobuf:"varint,1,opt,name=code,proto3,enum=com.freeje.ExceptionCode" json:"code,omitempty"`
}

func (x *ExceptionMeta) Reset() {
	*x = ExceptionMeta{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExceptionMeta) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExceptionMeta) ProtoMessage() {}

func (x *ExceptionMeta) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExceptionMeta.ProtoReflect.Descriptor instead.
func (*ExceptionMeta) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{11}
}

func (x *ExceptionMeta) GetCode() ExceptionCode {
	if x != nil {
		return x.Code
	}
	return ExceptionCode_NUMBER_DOES_NOT_EXISTS
}

type AccountAgreement struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Accepted     int64 `protobuf:"varint,1,opt,name=accepted,proto3" json:"accepted,omitempty"`                               // время в ms по гринвичу о согласии пользователя с правилами сервиса, если 0 то согласие пока не получено
	IsEuResident bool  `protobuf:"varint,2,opt,name=is_eu_resident,json=isEuResident,proto3" json:"is_eu_resident,omitempty"` // признак резидента евросоюза
}

func (x *AccountAgreement) Reset() {
	*x = AccountAgreement{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AccountAgreement) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccountAgreement) ProtoMessage() {}

func (x *AccountAgreement) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccountAgreement.ProtoReflect.Descriptor instead.
func (*AccountAgreement) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{12}
}

func (x *AccountAgreement) GetAccepted() int64 {
	if x != nil {
		return x.Accepted
	}
	return 0
}

func (x *AccountAgreement) GetIsEuResident() bool {
	if x != nil {
		return x.IsEuResident
	}
	return false
}

// Ограничевыющее правило для метрики
type MetricRuleMeta struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id         string              `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`                                          // идентификатор метрики
	TtlSeconds int32               `protobuf:"varint,2,opt,name=ttlSeconds,proto3" json:"ttlSeconds,omitempty"`                         // время жизни события метрики в секундах
	Limit      float64             `protobuf:"fixed64,3,opt,name=limit,proto3" json:"limit,omitempty"`                                  // предел значения метрики который нельзя превышать
	Name       string              `protobuf:"bytes,4,opt,name=name,proto3" json:"name,omitempty"`                                      // название
	Comment    string              `protobuf:"bytes,5,opt,name=comment,proto3" json:"comment,omitempty"`                                // комментарий
	Type       MetricRuleMeta_Type `protobuf:"varint,6,opt,name=type,proto3,enum=com.freeje.MetricRuleMeta_Type" json:"type,omitempty"` // тип метрики
}

func (x *MetricRuleMeta) Reset() {
	*x = MetricRuleMeta{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *MetricRuleMeta) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*MetricRuleMeta) ProtoMessage() {}

func (x *MetricRuleMeta) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use MetricRuleMeta.ProtoReflect.Descriptor instead.
func (*MetricRuleMeta) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{13}
}

func (x *MetricRuleMeta) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *MetricRuleMeta) GetTtlSeconds() int32 {
	if x != nil {
		return x.TtlSeconds
	}
	return 0
}

func (x *MetricRuleMeta) GetLimit() float64 {
	if x != nil {
		return x.Limit
	}
	return 0
}

func (x *MetricRuleMeta) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *MetricRuleMeta) GetComment() string {
	if x != nil {
		return x.Comment
	}
	return ""
}

func (x *MetricRuleMeta) GetType() MetricRuleMeta_Type {
	if x != nil {
		return x.Type
	}
	return MetricRuleMeta_REQUEST
}

//Идентификатор подписки (для поллинга изменений в более чем одном профиле)
type Subscription struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`                     // ключ подписки
	SeqNo int64  `protobuf:"varint,2,opt,name=seq_no,json=seqNo,proto3" json:"seq_no,omitempty"` // сквозной номер сообщения внутри подписки (для получения обновлений)
}

func (x *Subscription) Reset() {
	*x = Subscription{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Subscription) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Subscription) ProtoMessage() {}

func (x *Subscription) ProtoReflect() protoreflect.Message {
	mi := &file_common_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Subscription.ProtoReflect.Descriptor instead.
func (*Subscription) Descriptor() ([]byte, []int) {
	return file_common_proto_rawDescGZIP(), []int{14}
}

func (x *Subscription) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Subscription) GetSeqNo() int64 {
	if x != nil {
		return x.SeqNo
	}
	return 0
}

var File_common_proto protoreflect.FileDescriptor

var file_common_proto_rawDesc = []byte{
	0x0a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x22, 0x34, 0x0a, 0x06, 0x50, 0x75,
	0x73, 0x68, 0x49, 0x64, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x76, 0x69, 0x64, 0x65, 0x72,
	0x22, 0x59, 0x0a, 0x0b, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12,
	0x16, 0x0a, 0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x12, 0x1c, 0x0a,
	0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x22, 0x39, 0x0a, 0x0b, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x73, 0x74,
	0x72, 0x65, 0x61, 0x6d, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x08, 0x73, 0x74,
	0x72, 0x65, 0x61, 0x6d, 0x65, 0x64, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x07, 0x0a, 0x05, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22,
	0x76, 0x0a, 0x08, 0x56, 0x6f, 0x69, 0x70, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x64,
	0x69, 0x61, 0x6c, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0a, 0x64, 0x69, 0x61, 0x6c, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x1c, 0x0a, 0x09, 0x73,
	0x69, 0x70, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09,
	0x73, 0x69, 0x70, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x12, 0x1c, 0x0a, 0x09, 0x77, 0x73, 0x73,
	0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x77, 0x73,
	0x73, 0x53, 0x65, 0x72, 0x76, 0x65, 0x72, 0x22, 0x5c, 0x0a, 0x08, 0x44, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x2c, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x18, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x44,
	0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70,
	0x65, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x04, 0x64, 0x61, 0x74, 0x61, 0x22, 0x66, 0x0a, 0x14, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x16, 0x0a,
	0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x75,
	0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x62, 0x61, 0x73, 0x65, 0x44, 0x61, 0x74,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x62, 0x61, 0x73, 0x65, 0x44, 0x61, 0x74,
	0x65, 0x12, 0x1a, 0x0a, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xfc, 0x03,
	0x0a, 0x10, 0x46, 0x69, 0x6e, 0x61, 0x6e, 0x63, 0x65, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02,
	0x69, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x12, 0x3b, 0x0a, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x46, 0x69,
	0x6e, 0x61, 0x6e, 0x63, 0x65, 0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x52,
	0x65, 0x61, 0x73, 0x6f, 0x6e, 0x52, 0x06, 0x72, 0x65, 0x61, 0x73, 0x6f, 0x6e, 0x12, 0x35, 0x0a,
	0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x21, 0x2e, 0x63, 0x6f,
	0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x46, 0x69, 0x6e, 0x61, 0x6e, 0x63, 0x65,
	0x4f, 0x70, 0x65, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72,
	0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1e, 0x0a, 0x0a, 0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x70,
	0x6c, 0x65, 0x74, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0a, 0x69, 0x6e, 0x63, 0x6f,
	0x6d, 0x70, 0x6c, 0x65, 0x74, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63,
	0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x02, 0x52, 0x07, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65,
	0x12, 0x20, 0x0a, 0x0b, 0x6c, 0x6f, 0x63, 0x6b, 0x65, 0x64, 0x46, 0x75, 0x6e, 0x64, 0x73, 0x18,
	0x09, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0b, 0x6c, 0x6f, 0x63, 0x6b, 0x65, 0x64, 0x46, 0x75, 0x6e,
	0x64, 0x73, 0x12, 0x16, 0x0a, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x0a, 0x20, 0x01,
	0x28, 0x02, 0x52, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x1e, 0x0a, 0x0a, 0x61, 0x75,
	0x74, 0x68, 0x6f, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a,
	0x61, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x22, 0x49, 0x0a, 0x06, 0x52, 0x65,
	0x61, 0x73, 0x6f, 0x6e, 0x12, 0x08, 0x0a, 0x04, 0x43, 0x41, 0x4c, 0x4c, 0x10, 0x00, 0x12, 0x0b,
	0x0a, 0x07, 0x50, 0x41, 0x59, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x01, 0x12, 0x0e, 0x0a, 0x0a, 0x43,
	0x4f, 0x52, 0x52, 0x45, 0x43, 0x54, 0x49, 0x4f, 0x4e, 0x10, 0x02, 0x12, 0x0a, 0x0a, 0x06, 0x4e,
	0x55, 0x4d, 0x42, 0x45, 0x52, 0x10, 0x03, 0x12, 0x0c, 0x0a, 0x08, 0x50, 0x41, 0x59, 0x43, 0x48,
	0x45, 0x43, 0x4b, 0x10, 0x04, 0x22, 0x35, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0b, 0x0a,
	0x07, 0x52, 0x45, 0x47, 0x55, 0x4c, 0x41, 0x52, 0x10, 0x00, 0x12, 0x0e, 0x0a, 0x0a, 0x4c, 0x4f,
	0x43, 0x4b, 0x5f, 0x46, 0x55, 0x4e, 0x44, 0x53, 0x10, 0x01, 0x12, 0x10, 0x0a, 0x0c, 0x55, 0x4e,
	0x4c, 0x4f, 0x43, 0x4b, 0x5f, 0x46, 0x55, 0x4e, 0x44, 0x53, 0x10, 0x02, 0x22, 0xb2, 0x02, 0x0a,
	0x08, 0x44, 0x69, 0x64, 0x50, 0x72, 0x69, 0x63, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x73, 0x65, 0x74,
	0x75, 0x70, 0x5f, 0x66, 0x65, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x02, 0x52, 0x08, 0x73, 0x65,
	0x74, 0x75, 0x70, 0x46, 0x65, 0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x6d, 0x6f, 0x6e, 0x74, 0x68, 0x6c,
	0x79, 0x5f, 0x66, 0x65, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0a, 0x6d, 0x6f, 0x6e,
	0x74, 0x68, 0x6c, 0x79, 0x46, 0x65, 0x65, 0x12, 0x23, 0x0a, 0x0d, 0x69, 0x6e, 0x63, 0x6f, 0x6d,
	0x69, 0x6e, 0x67, 0x5f, 0x72, 0x61, 0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x02, 0x52, 0x0c,
	0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x69, 0x6e, 0x67, 0x52, 0x61, 0x74, 0x65, 0x12, 0x2b, 0x0a, 0x11,
	0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x69, 0x6e, 0x67, 0x5f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x76, 0x61,
	0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x10, 0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x69, 0x6e,
	0x67, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x76, 0x61, 0x6c, 0x12, 0x23, 0x0a, 0x0d, 0x6f, 0x75, 0x74,
	0x67, 0x6f, 0x69, 0x6e, 0x67, 0x5f, 0x72, 0x61, 0x74, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x02,
	0x52, 0x0c, 0x6f, 0x75, 0x74, 0x67, 0x6f, 0x69, 0x6e, 0x67, 0x52, 0x61, 0x74, 0x65, 0x12, 0x2b,
	0x0a, 0x11, 0x6f, 0x75, 0x74, 0x67, 0x6f, 0x69, 0x6e, 0x67, 0x5f, 0x69, 0x6e, 0x74, 0x65, 0x72,
	0x76, 0x61, 0x6c, 0x18, 0x06, 0x20, 0x01, 0x28, 0x05, 0x52, 0x10, 0x6f, 0x75, 0x74, 0x67, 0x6f,
	0x69, 0x6e, 0x67, 0x49, 0x6e, 0x74, 0x65, 0x72, 0x76, 0x61, 0x6c, 0x12, 0x21, 0x0a, 0x0c, 0x6f,
	0x75, 0x74, 0x67, 0x6f, 0x69, 0x6e, 0x67, 0x5f, 0x73, 0x6d, 0x73, 0x18, 0x07, 0x20, 0x01, 0x28,
	0x02, 0x52, 0x0b, 0x6f, 0x75, 0x74, 0x67, 0x6f, 0x69, 0x6e, 0x67, 0x53, 0x6d, 0x73, 0x12, 0x21,
	0x0a, 0x0c, 0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x69, 0x6e, 0x67, 0x5f, 0x73, 0x6d, 0x73, 0x18, 0x08,
	0x20, 0x01, 0x28, 0x02, 0x52, 0x0b, 0x69, 0x6e, 0x63, 0x6f, 0x6d, 0x69, 0x6e, 0x67, 0x53, 0x6d,
	0x73, 0x22, 0x3e, 0x0a, 0x0c, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x50, 0x65, 0x72, 0x69, 0x6f,
	0x64, 0x12, 0x12, 0x0a, 0x04, 0x66, 0x72, 0x6f, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x04, 0x66, 0x72, 0x6f, 0x6d, 0x12, 0x1a, 0x0a, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x22, 0x81, 0x01, 0x0a, 0x0c, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x12, 0x16, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x48, 0x00, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x32, 0x0a, 0x06, 0x70, 0x65,
	0x72, 0x69, 0x6f, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x18, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x50, 0x65,
	0x72, 0x69, 0x6f, 0x64, 0x48, 0x00, 0x52, 0x06, 0x70, 0x65, 0x72, 0x69, 0x6f, 0x64, 0x12, 0x1a,
	0x0a, 0x08, 0x73, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x08, 0x73, 0x74, 0x72, 0x65, 0x61, 0x6d, 0x65, 0x64, 0x42, 0x09, 0x0a, 0x07, 0x6f, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x3e, 0x0a, 0x0d, 0x45, 0x78, 0x63, 0x65, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x4d, 0x65, 0x74, 0x61, 0x12, 0x2d, 0x0a, 0x04, 0x63, 0x6f, 0x64, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0e, 0x32, 0x19, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x45, 0x78, 0x63, 0x65, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x64, 0x65, 0x52,
	0x04, 0x63, 0x6f, 0x64, 0x65, 0x22, 0x54, 0x0a, 0x10, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x41, 0x67, 0x72, 0x65, 0x65, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x63, 0x63,
	0x65, 0x70, 0x74, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x61, 0x63, 0x63,
	0x65, 0x70, 0x74, 0x65, 0x64, 0x12, 0x24, 0x0a, 0x0e, 0x69, 0x73, 0x5f, 0x65, 0x75, 0x5f, 0x72,
	0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x08, 0x52, 0x0c, 0x69,
	0x73, 0x45, 0x75, 0x52, 0x65, 0x73, 0x69, 0x64, 0x65, 0x6e, 0x74, 0x22, 0xf0, 0x01, 0x0a, 0x0e,
	0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x52, 0x75, 0x6c, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1e,
	0x0a, 0x0a, 0x74, 0x74, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x0a, 0x74, 0x74, 0x6c, 0x53, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x12, 0x14,
	0x0a, 0x05, 0x6c, 0x69, 0x6d, 0x69, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x01, 0x52, 0x05, 0x6c,
	0x69, 0x6d, 0x69, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x6d, 0x6d,
	0x65, 0x6e, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x6f, 0x6d, 0x6d, 0x65,
	0x6e, 0x74, 0x12, 0x33, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0e,
	0x32, 0x1f, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x52, 0x75, 0x6c, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x2e, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x22, 0x35, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12,
	0x0b, 0x0a, 0x07, 0x52, 0x45, 0x51, 0x55, 0x45, 0x53, 0x54, 0x10, 0x00, 0x12, 0x0b, 0x0a, 0x07,
	0x43, 0x4f, 0x4e, 0x4e, 0x45, 0x43, 0x54, 0x10, 0x01, 0x12, 0x09, 0x0a, 0x05, 0x50, 0x52, 0x49,
	0x43, 0x45, 0x10, 0x02, 0x12, 0x08, 0x0a, 0x04, 0x54, 0x49, 0x4d, 0x45, 0x10, 0x03, 0x22, 0x35,
	0x0a, 0x0c, 0x53, 0x75, 0x62, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x15,
	0x0a, 0x06, 0x73, 0x65, 0x71, 0x5f, 0x6e, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05,
	0x73, 0x65, 0x71, 0x4e, 0x6f, 0x2a, 0x3f, 0x0a, 0x09, 0x50, 0x68, 0x6f, 0x6e, 0x65, 0x54, 0x79,
	0x70, 0x65, 0x12, 0x0e, 0x0a, 0x0a, 0x46, 0x49, 0x58, 0x45, 0x44, 0x5f, 0x4c, 0x49, 0x4e, 0x45,
	0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x4d, 0x4f, 0x42, 0x49, 0x4c, 0x45, 0x10, 0x01, 0x12, 0x0d,
	0x0a, 0x09, 0x54, 0x4f, 0x4c, 0x4c, 0x5f, 0x46, 0x52, 0x45, 0x45, 0x10, 0x02, 0x12, 0x07, 0x0a,
	0x03, 0x4f, 0x54, 0x53, 0x10, 0x03, 0x2a, 0x2b, 0x0a, 0x0d, 0x43, 0x61, 0x6c, 0x6c, 0x44, 0x69,
	0x72, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x0c, 0x0a, 0x08, 0x4f, 0x55, 0x54, 0x47, 0x4f,
	0x49, 0x4e, 0x47, 0x10, 0x00, 0x12, 0x0c, 0x0a, 0x08, 0x49, 0x4e, 0x43, 0x4f, 0x4d, 0x49, 0x4e,
	0x47, 0x10, 0x01, 0x2a, 0x3c, 0x0a, 0x09, 0x43, 0x61, 0x6c, 0x6c, 0x4d, 0x65, 0x64, 0x69, 0x61,
	0x12, 0x07, 0x0a, 0x03, 0x53, 0x49, 0x50, 0x10, 0x00, 0x12, 0x0a, 0x0a, 0x06, 0x46, 0x52, 0x45,
	0x45, 0x4a, 0x45, 0x10, 0x01, 0x12, 0x0c, 0x0a, 0x08, 0x45, 0x58, 0x54, 0x45, 0x52, 0x4e, 0x41,
	0x4c, 0x10, 0x02, 0x12, 0x0c, 0x0a, 0x08, 0x49, 0x4e, 0x54, 0x45, 0x52, 0x4e, 0x41, 0x4c, 0x10,
	0x03, 0x2a, 0x6c, 0x0a, 0x0c, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70,
	0x65, 0x12, 0x0b, 0x0a, 0x07, 0x49, 0x44, 0x5f, 0x53, 0x43, 0x41, 0x4e, 0x10, 0x00, 0x12, 0x06,
	0x0a, 0x02, 0x49, 0x44, 0x10, 0x01, 0x12, 0x09, 0x0a, 0x05, 0x50, 0x48, 0x4f, 0x54, 0x4f, 0x10,
	0x08, 0x12, 0x08, 0x0a, 0x04, 0x4e, 0x41, 0x4d, 0x45, 0x10, 0x09, 0x12, 0x10, 0x0a, 0x0c, 0x41,
	0x44, 0x44, 0x52, 0x45, 0x53, 0x53, 0x5f, 0x53, 0x43, 0x41, 0x4e, 0x10, 0x10, 0x12, 0x0b, 0x0a,
	0x07, 0x41, 0x44, 0x44, 0x52, 0x45, 0x53, 0x53, 0x10, 0x11, 0x12, 0x13, 0x0a, 0x0b, 0x44, 0x45,
	0x4c, 0x45, 0x54, 0x45, 0x44, 0x5f, 0x44, 0x4f, 0x43, 0x10, 0x80, 0x80, 0x80, 0x80, 0x04, 0x2a,
	0x48, 0x0a, 0x0d, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x46, 0x65, 0x61, 0x74, 0x75, 0x72, 0x65,
	0x12, 0x09, 0x0a, 0x05, 0x56, 0x4f, 0x49, 0x43, 0x45, 0x10, 0x00, 0x12, 0x07, 0x0a, 0x03, 0x53,
	0x4d, 0x53, 0x10, 0x01, 0x12, 0x0b, 0x0a, 0x07, 0x53, 0x4d, 0x53, 0x5f, 0x4f, 0x55, 0x54, 0x10,
	0x03, 0x12, 0x07, 0x0a, 0x03, 0x46, 0x41, 0x58, 0x10, 0x04, 0x12, 0x0d, 0x0a, 0x09, 0x56, 0x4f,
	0x49, 0x43, 0x45, 0x5f, 0x4f, 0x55, 0x54, 0x10, 0x05, 0x2a, 0x41, 0x0a, 0x09, 0x44, 0x69, 0x64,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x09, 0x0a, 0x05, 0x53, 0x45, 0x54, 0x55, 0x50, 0x10,
	0x00, 0x12, 0x09, 0x0a, 0x05, 0x52, 0x45, 0x41, 0x44, 0x59, 0x10, 0x01, 0x12, 0x09, 0x0a, 0x05,
	0x45, 0x52, 0x52, 0x4f, 0x52, 0x10, 0x02, 0x12, 0x13, 0x0a, 0x0b, 0x44, 0x45, 0x4c, 0x45, 0x54,
	0x45, 0x44, 0x5f, 0x44, 0x49, 0x44, 0x10, 0x80, 0x80, 0x80, 0x80, 0x04, 0x2a, 0xc5, 0x02, 0x0a,
	0x0d, 0x45, 0x78, 0x63, 0x65, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x64, 0x65, 0x12, 0x1a,
	0x0a, 0x16, 0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52, 0x5f, 0x44, 0x4f, 0x45, 0x53, 0x5f, 0x4e, 0x4f,
	0x54, 0x5f, 0x45, 0x58, 0x49, 0x53, 0x54, 0x53, 0x10, 0x00, 0x12, 0x12, 0x0a, 0x0e, 0x49, 0x4e,
	0x56, 0x41, 0x4c, 0x49, 0x44, 0x5f, 0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52, 0x10, 0x01, 0x12, 0x0e,
	0x0a, 0x0a, 0x41, 0x55, 0x54, 0x48, 0x5f, 0x45, 0x52, 0x52, 0x4f, 0x52, 0x10, 0x02, 0x12, 0x14,
	0x0a, 0x10, 0x50, 0x41, 0x52, 0x41, 0x4d, 0x45, 0x54, 0x45, 0x52, 0x53, 0x5f, 0x45, 0x52, 0x52,
	0x4f, 0x52, 0x10, 0x03, 0x12, 0x1e, 0x0a, 0x1a, 0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52, 0x5f, 0x41,
	0x4c, 0x52, 0x45, 0x41, 0x44, 0x59, 0x5f, 0x4f, 0x4e, 0x5f, 0x44, 0x45, 0x4c, 0x45, 0x54, 0x49,
	0x4f, 0x4e, 0x10, 0x04, 0x12, 0x15, 0x0a, 0x11, 0x49, 0x4e, 0x56, 0x41, 0x4c, 0x49, 0x44, 0x5f,
	0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52, 0x5f, 0x49, 0x44, 0x10, 0x05, 0x12, 0x16, 0x0a, 0x12, 0x41,
	0x43, 0x43, 0x4f, 0x55, 0x4e, 0x54, 0x5f, 0x4e, 0x4f, 0x54, 0x5f, 0x41, 0x43, 0x54, 0x49, 0x56,
	0x45, 0x10, 0x06, 0x12, 0x15, 0x0a, 0x11, 0x44, 0x4f, 0x43, 0x55, 0x4d, 0x45, 0x4e, 0x54, 0x53,
	0x5f, 0x52, 0x45, 0x51, 0x55, 0x49, 0x52, 0x45, 0x10, 0x07, 0x12, 0x11, 0x0a, 0x0d, 0x52, 0x45,
	0x4c, 0x45, 0x41, 0x53, 0x45, 0x5f, 0x45, 0x52, 0x52, 0x4f, 0x52, 0x10, 0x08, 0x12, 0x14, 0x0a,
	0x10, 0x4e, 0x4f, 0x54, 0x5f, 0x45, 0x4e, 0x4f, 0x55, 0x47, 0x48, 0x5f, 0x4d, 0x4f, 0x4e, 0x45,
	0x59, 0x10, 0x09, 0x12, 0x0e, 0x0a, 0x0a, 0x42, 0x41, 0x44, 0x5f, 0x4e, 0x55, 0x4d, 0x42, 0x45,
	0x52, 0x10, 0x0a, 0x12, 0x15, 0x0a, 0x11, 0x4c, 0x4f, 0x4e, 0x47, 0x5f, 0x54, 0x45, 0x58, 0x54,
	0x5f, 0x4d, 0x45, 0x53, 0x53, 0x41, 0x47, 0x45, 0x10, 0x0b, 0x12, 0x15, 0x0a, 0x11, 0x53, 0x4d,
	0x53, 0x5f, 0x4e, 0x4f, 0x54, 0x5f, 0x53, 0x55, 0x50, 0x50, 0x4f, 0x52, 0x54, 0x45, 0x44, 0x10,
	0x0c, 0x12, 0x11, 0x0a, 0x0d, 0x53, 0x45, 0x52, 0x56, 0x49, 0x43, 0x45, 0x5f, 0x45, 0x52, 0x52,
	0x4f, 0x52, 0x10, 0x0d, 0x42, 0x4e, 0x0a, 0x0a, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x42, 0x03, 0x41, 0x70, 0x69, 0x50, 0x00, 0x5a, 0x33, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e,
	0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67, 0x6f, 0x2f,
	0x61, 0x70, 0x69, 0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x5f, 0x61, 0x70, 0x69, 0xa2, 0x02,
	0x03, 0x46, 0x53, 0x47, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_common_proto_rawDescOnce sync.Once
	file_common_proto_rawDescData = file_common_proto_rawDesc
)

func file_common_proto_rawDescGZIP() []byte {
	file_common_proto_rawDescOnce.Do(func() {
		file_common_proto_rawDescData = protoimpl.X.CompressGZIP(file_common_proto_rawDescData)
	})
	return file_common_proto_rawDescData
}

var file_common_proto_enumTypes = make([]protoimpl.EnumInfo, 10)
var file_common_proto_msgTypes = make([]protoimpl.MessageInfo, 15)
var file_common_proto_goTypes = []interface{}{
	(PhoneType)(0),               // 0: com.freeje.PhoneType
	(CallDirection)(0),           // 1: com.freeje.CallDirection
	(CallMedia)(0),               // 2: com.freeje.CallMedia
	(DocumentType)(0),            // 3: com.freeje.DocumentType
	(NumberFeature)(0),           // 4: com.freeje.NumberFeature
	(DidStatus)(0),               // 5: com.freeje.DidStatus
	(ExceptionCode)(0),           // 6: com.freeje.ExceptionCode
	(FinanceOperation_Reason)(0), // 7: com.freeje.FinanceOperation.Reason
	(FinanceOperation_Type)(0),   // 8: com.freeje.FinanceOperation.Type
	(MetricRuleMeta_Type)(0),     // 9: com.freeje.MetricRuleMeta.Type
	(*PushId)(nil),               // 10: com.freeje.PushId
	(*PhoneNumber)(nil),          // 11: com.freeje.PhoneNumber
	(*RequestMode)(nil),          // 12: com.freeje.RequestMode
	(*Empty)(nil),                // 13: com.freeje.Empty
	(*VoipCall)(nil),             // 14: com.freeje.VoipCall
	(*Document)(nil),             // 15: com.freeje.Document
	(*ReportRequestOptions)(nil), // 16: com.freeje.ReportRequestOptions
	(*FinanceOperation)(nil),     // 17: com.freeje.FinanceOperation
	(*DidPrice)(nil),             // 18: com.freeje.DidPrice
	(*SearchPeriod)(nil),         // 19: com.freeje.SearchPeriod
	(*SearchFilter)(nil),         // 20: com.freeje.SearchFilter
	(*ExceptionMeta)(nil),        // 21: com.freeje.ExceptionMeta
	(*AccountAgreement)(nil),     // 22: com.freeje.AccountAgreement
	(*MetricRuleMeta)(nil),       // 23: com.freeje.MetricRuleMeta
	(*Subscription)(nil),         // 24: com.freeje.Subscription
}
var file_common_proto_depIdxs = []int32{
	3,  // 0: com.freeje.Document.type:type_name -> com.freeje.DocumentType
	7,  // 1: com.freeje.FinanceOperation.reason:type_name -> com.freeje.FinanceOperation.Reason
	8,  // 2: com.freeje.FinanceOperation.type:type_name -> com.freeje.FinanceOperation.Type
	19, // 3: com.freeje.SearchFilter.period:type_name -> com.freeje.SearchPeriod
	6,  // 4: com.freeje.ExceptionMeta.code:type_name -> com.freeje.ExceptionCode
	9,  // 5: com.freeje.MetricRuleMeta.type:type_name -> com.freeje.MetricRuleMeta.Type
	6,  // [6:6] is the sub-list for method output_type
	6,  // [6:6] is the sub-list for method input_type
	6,  // [6:6] is the sub-list for extension type_name
	6,  // [6:6] is the sub-list for extension extendee
	0,  // [0:6] is the sub-list for field type_name
}

func init() { file_common_proto_init() }
func file_common_proto_init() {
	if File_common_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_common_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PushId); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PhoneNumber); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RequestMode); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Empty); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VoipCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Document); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReportRequestOptions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FinanceOperation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DidPrice); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchPeriod); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExceptionMeta); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AccountAgreement); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*MetricRuleMeta); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_common_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Subscription); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_common_proto_msgTypes[10].OneofWrappers = []interface{}{
		(*SearchFilter_Value)(nil),
		(*SearchFilter_Period)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_common_proto_rawDesc,
			NumEnums:      10,
			NumMessages:   15,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_common_proto_goTypes,
		DependencyIndexes: file_common_proto_depIdxs,
		EnumInfos:         file_common_proto_enumTypes,
		MessageInfos:      file_common_proto_msgTypes,
	}.Build()
	File_common_proto = out.File
	file_common_proto_rawDesc = nil
	file_common_proto_goTypes = nil
	file_common_proto_depIdxs = nil
}
